Package org.apache.velocity.util.introspection

# Interface VelPropertySet

All Known Implementing Classes:
  `UberspectImpl.VelSetterImpl`

public interface VelPropertySet
Interface used for setting values that appear to be properties in Velocity. Ex. #set($foo.bar = "hello")

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethodName()`
returns the method name used to set this 'property'
`Object`
`invoke(Object o, Object arg)`
method used to set the value in the object
`boolean`
`isCacheable()`
specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

## Method Details

### invoke

Object invoke(Object o, Object arg) throws Exception
method used to set the value in the object

Parameters:
  `o` - Object on which the method will be called with the arg
  `arg` - value to be set
Returns:
  the value returned from the set operation (impl specific)
Throws:
  `Exception`

### isCacheable

boolean isCacheable()
specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

Returns:
  true if can be reused for this class, false if not

### getMethodName

String getMethodName()
returns the method name used to set this 'property'

Returns:
  The method name used to set this 'property'